Ruby Development Tools Documentation - 0.9.0

Ruby perspectives
Prev | Chapter 2. Concepts | Next

## Ruby perspectives

The Ruby development tools contribute the following perspectives to the workbench:

### Ruby

A perspective designed for working with Ruby projects. It consists of an editor area and the following views:

- Ruby Resources View
- Outline
- Console
- Task List
- Problems View

### Debug

A perspective designed for debugging your Ruby program. It includes an editor area and the following views.

- Debug
- Breakpoints
- Expressions
- Variables
- Display
- Outline
- Console

### Ruby Browsing

A perspective designed for browsing the classes in your workspace. The browsing is organized with three interconnected views:

- Projects
- Types
- Members

Every view contains a tree view with a hierarchy of Ruby elements. The project view shows all projects of the workspace. The selection of projects influences the content of the Types view. In the same manner an element selection in the Types view shows its containing elements in the Members view. Double clicking elements which are file based opens an editor and highlights the position of the element.

Prev | Up | Next
Chapter 2. Concepts | Home | Ruby Resources View